

#include "mainview.moc"

#include <qlayout.h>

#include "view.h"
#include <qscrollview.h>
#include "canvas.h"


MainView::MainView(QWidget *parent, const char *name)
  : QWidget(parent,name)
{
    int w = 300;
    int h = 200;

    lm = new QBoxLayout(this, QBoxLayout::TopToBottom);
    view = new View(this, "view container");

    v = new QScrollView(view);
    c = new Canvas(w, h, v->viewport());
    v->addChild(c);

    lm->addWidget(view);
    view->c = v;
}
